"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getCoreAuthContext = exports.resetCoreAuthContext = void 0;
var utils_1 = require("./utils");
var contextSymbol = typeof Symbol === 'function' && Symbol.for
    ? Symbol.for('__CORE_AUTH_CONTEXT__')
    : '__CORE_AUTH_CONTEXT__';
var defaultContextValue = {
    error: undefined,
    loading: false,
    user: undefined,
    dispatch: function () { }
};
function resetCoreAuthContext() {
    utils_1.resetCachedContext(contextSymbol, defaultContextValue);
}
exports.resetCoreAuthContext = resetCoreAuthContext;
function getCoreAuthContext() {
    return utils_1.getCachedContext(contextSymbol, defaultContextValue);
}
exports.getCoreAuthContext = getCoreAuthContext;
//# sourceMappingURL=CoreAuthContext.js.map