"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var CoreAuthContext_1 = require("./CoreAuthContext");
var hooks_1 = require("./hooks");
function CoreAuthProvider(_a) {
    var children = _a.children;
    var authenticatedUserState = hooks_1.useCurrentAuthenticatedUser();
    var _b = react_1.default.useState(), state = _b[0], setState = _b[1];
    var CoreAuthContext = CoreAuthContext_1.getCoreAuthContext();
    return (react_1.default.createElement(CoreAuthContext.Provider, { value: {
            dispatch: setState,
            error: state ? state.error : authenticatedUserState.error,
            loading: state ? state.loading : authenticatedUserState.loading,
            user: state ? state.user : authenticatedUserState.user
        } }, children));
}
exports.default = CoreAuthProvider;
//# sourceMappingURL=CoreAuthProvider.js.map