"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var CoreAuthContext_1 = require("../CoreAuthContext");
function useAuthentication() {
    var _a = react_1.default.useContext(CoreAuthContext_1.getCoreAuthContext()), error = _a.error, loading = _a.loading, user = _a.user;
    return { error: error, loading: loading, user: user };
}
exports.default = useAuthentication;
//# sourceMappingURL=useAuthentication.js.map