"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var resetCachedContext_1 = __importDefault(require("./resetCachedContext"));
function getCoreAuthContext(contextSymbol, defaultValue) {
    if (!react_1.default[contextSymbol]) {
        resetCachedContext_1.default(contextSymbol, defaultValue);
    }
    return react_1.default[contextSymbol];
}
exports.default = getCoreAuthContext;
//# sourceMappingURL=getCachedContext.js.map